# Class: Manager

## helma.Group.Manager()

The root for all groups started in this application

## Constructor

#### new Manager()

This is mounted as "groups".

Source:
  - helma/Group.js, line 584

### Methods

#### checkWriteAccess(nameOrJGroup)

checks for write access to a group according to app.properties group.nameXX.writable must be true so that this function returns

##### Parameters:

Name | Type | Description
--- | --- | ---
`nameOrJGroup` |  | can be the name of a group or a java Group itself

Source:
  - helma/Group.js, line 627

##### Throws:

an error if group is not writable

#### connect()

try to connect a group

Source:
  - helma/Group.js, line 648

##### Returns:

false if group is not found

#### count()

returns the total number of groupobjects in this group

Source:
  - helma/Group.js, line 863

#### destroy()

try to destroy a group (if application may write in group). all other instances of the group disconnect

Source:
  - helma/Group.js, line 707

##### Returns:

false if group is not found

#### disconnect()

try to disconnect from a group

Source:
  - helma/Group.js, line 662

##### Returns:

false if group is not found

#### get()

visible to scripting env: get a group, wrapped as a javascript helma.Group object. the group must be defined in app.properties: group.nameXX = <configfile> and can then be accessed like this group.get("nameXX")

Source:
  - helma/Group.js, line 611

##### Returns:

null if group is not defined or not connected

#### getConfig()

dumps the config of the jgroups stack to a string

Source:
  - helma/Group.js, line 801

##### Returns:

string, false if group is not found

#### getConnection()

returns the connection identifier of the Group instance (localname + multicast-target)

Source:
  - helma/Group.js, line 827

##### Returns:

string, false if group is not found

#### getContent()

dumps the keys of the group to a string

Source:
  - helma/Group.js, line 775

##### Returns:

string, notice if group is not found

#### getFullConfig()

dumps the config of the jgroups stack including all properties to a string

Source:
  - helma/Group.js, line 814

##### Returns:

string, false if group is not found

#### getFullContent()

dumps the keys and the content of the group to a string

Source:
  - helma/Group.js, line 788

##### Returns:

string, notice if group is not found

#### isConnected()

returns true/false if the group is connected

Source:
  - helma/Group.js, line 839

#### listMemberApps()

lists the members applications of this group (may be more than one per instance but also none)

Source:
  - helma/Group.js, line 757

##### Returns:

array of strings, false if group is not found

#### listMembers()

list the members of this group (ie instances of Group, one helma server is one instance)

Source:
  - helma/Group.js, line 739

##### Returns:

array of strings, false if group is not found

#### reconnect()

try to disconnect and connect again to a group

Source:
  - helma/Group.js, line 676

##### Returns:

false if group is not found

#### reset()

try to reset a group (if application may write in group). all instances of the group empty their cache.

Source:
  - helma/Group.js, line 691

##### Returns:

false if group is not found

#### restart()

try to restart a group (if application may write in group). all other instances of the group disconnect and reconnect - each app after a different pause so that they don't all come up at the same moment

Source:
  - helma/Group.js, line 724

##### Returns:

false if group is not found

#### size()

returns the total number of groupobjects in this group

Source:
  - helma/Group.js, line 851

#### (inner) getJavaGroup()

get a java object Group for a groupname. object is fetched regardless of connection status

Source:
  - helma/Group.js, line 600

##### Returns:

null if group is not defined